Retrieve a push campaign
curl --request GET \
--url https://api.sendrealm.com/push/campaigns/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"app_name": "<string>",
"name": "<string>",
"status": "<string>",
"channel": "push",
"targeting": {},
"mode": "<string>",
"environment": "<string>",
"messages": [
{
"code": "<string>",
"label": "<string>",
"title": "<string>",
"body": "<string>",
"image_url": "<string>",
"launch_url": "<string>"
}
],
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"platforms": {
"android": true,
"ios": true,
"web": true
},
"audience": {
"type": "<string>",
"include_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"exclude_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"android_config": {},
"live_activity_config": {},
"is_editable": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"analytics": {
"targeted": 123,
"sent": 123,
"failed": 123
}
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Push Notifications
Retrieve Push Campaign
GET
/
push
/
campaigns
/
{id}
Retrieve a push campaign
curl --request GET \
--url https://api.sendrealm.com/push/campaigns/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"app_name": "<string>",
"name": "<string>",
"status": "<string>",
"channel": "push",
"targeting": {},
"mode": "<string>",
"environment": "<string>",
"messages": [
{
"code": "<string>",
"label": "<string>",
"title": "<string>",
"body": "<string>",
"image_url": "<string>",
"launch_url": "<string>"
}
],
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"platforms": {
"android": true,
"ios": true,
"web": true
},
"audience": {
"type": "<string>",
"include_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"exclude_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"android_config": {},
"live_activity_config": {},
"is_editable": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"analytics": {
"targeted": 123,
"sent": 123,
"failed": 123
}
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}⌘I